# Generated by Django 2.0.5 on 2021-06-29 07:04

from django.conf import settings
import django.contrib.postgres.fields.jsonb
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ("accounts", "0094_profile_system_member_crm_id"),
        ("sales", "0003_auto_20210624_1040"),
    ]

    operations = [
        migrations.CreateModel(
            name="SalesActivityCustomView",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("created_on", models.DateTimeField(auto_now_add=True)),
                ("updated_on", models.DateTimeField(auto_now=True)),
                (
                    "custom_activity_view",
                    django.contrib.postgres.fields.jsonb.JSONField(default={}),
                ),
                (
                    "provider",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="+",
                        to="accounts.Provider",
                    ),
                ),
                (
                    "user",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="+",
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
            ],
        ),
        migrations.AddIndex(
            model_name="salesactivitycustomview",
            index=models.Index(
                fields=["user", "provider"], name="sales_sales_user_id_fe65d9_idx"
            ),
        ),
    ]
